<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetTextMessagesOutbox_V5 StructType
 * @subpackage Structs
 */
class GetTextMessagesOutbox_V5 extends ExecutionResult
{
    /**
     * The MaximumModificationID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $MaximumModificationID;
    /**
     * The Outbox
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfTextMessageOutbox_V5
     */
    public $Outbox;
    /**
     * Constructor method for GetTextMessagesOutbox_V5
     * @uses GetTextMessagesOutbox_V5::setMaximumModificationID()
     * @uses GetTextMessagesOutbox_V5::setOutbox()
     * @param int $maximumModificationID
     * @param \ArrayType\ArrayOfTextMessageOutbox_V5 $outbox
     */
    public function __construct($maximumModificationID = null, \ArrayType\ArrayOfTextMessageOutbox_V5 $outbox = null)
    {
        $this
            ->setMaximumModificationID($maximumModificationID)
            ->setOutbox($outbox);
    }
    /**
     * Get MaximumModificationID value
     * @return int
     */
    public function getMaximumModificationID()
    {
        return $this->MaximumModificationID;
    }
    /**
     * Set MaximumModificationID value
     * @param int $maximumModificationID
     * @return \StructType\GetTextMessagesOutbox_V5
     */
    public function setMaximumModificationID($maximumModificationID = null)
    {
        // validation for constraint: int
        if (!is_null($maximumModificationID) && !(is_int($maximumModificationID) || ctype_digit($maximumModificationID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($maximumModificationID, true), gettype($maximumModificationID)), __LINE__);
        }
        $this->MaximumModificationID = $maximumModificationID;
        return $this;
    }
    /**
     * Get Outbox value
     * @return \ArrayType\ArrayOfTextMessageOutbox_V5|null
     */
    public function getOutbox()
    {
        return $this->Outbox;
    }
    /**
     * Set Outbox value
     * @param \ArrayType\ArrayOfTextMessageOutbox_V5 $outbox
     * @return \StructType\GetTextMessagesOutbox_V5
     */
    public function setOutbox(\ArrayType\ArrayOfTextMessageOutbox_V5 $outbox = null)
    {
        $this->Outbox = $outbox;
        return $this;
    }
}
